curl --request GET \
--url https://api.staging.payrails.io/merchant/holders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/merchant/holders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/merchant/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.staging.payrails.io/merchant/holders?page[after]=qf7pnbyfrr&page[size]=2",
"prev": "https://api.staging.payrails.io/merchant/holders?page[before]=hbe66nh8i8&page[size]=2",
"next": "https://api.staging.payrails.io/merchant/holders?page[after]=xk2h55zsy5&page[size]=2",
"first": "https://api.staging.payrails.io/merchant/holders?page[size]=2",
"last": "https://api.staging.payrails.io/merchant/holders?page[before]=9wkueqcavq&page[size]=2"
},
"results": [
{
"id": "b8fe6271-5d71-4d28-b8e8-89e64acc0c49",
"reference": "user-123",
"createdAt": "2022-02-03T14:38:40.557Z",
"status": [
"enabled"
],
"type": "Customer"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}Search & list holders
Search & list holders.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Query Parameters
Filter holders by reference.
Filter holders by ID.
Filter holders by a list of statuses.
Search collection items after that cursor. Cursor for paging results.
Search collection items before that cursor. Cursor for paging results.
Length of the collection to search.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the Holder in Payrails.
Merchant-provided reference for the transaction counterparty, i.e. the paying consumer.
Date and time when the Holder was created.
Status of the Holder in Payrails.
Value of merchant-defined enumeration of Holder Types.